from cloud_storage_clients.connector import Connector
from cloud_storage_clients.ovh.client import OvhClient


class OvhClientFactory:
    def __call__(self, connector: Connector, credentials: dict | None):
        return OvhClient(connector, credentials)
